## libgeotiff-dfsg 1.4.0

=== CMakeLists.txt ===
###############################################################################
#
# CMake main configuration file to build GeoTIFF library and utilities.
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################
PROJECT(GeoTIFF)

SET(GEOTIFF_LIB_NAME geotiff)
SET(GEOTIFF_LIBRARY_TARGET geotiff_library)
SET(GEOTIFF_ARCHIVE_TARGET geotiff_archive)

##############################################################################
# CMake settings
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET(CMAKE_COLOR_MAKEFILE ON)

# Allow advanced users to generate Makefiles printing detailed commands
MARK_AS_ADVANCED(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

###############################################################################

###
# Set up the version and configure a header file with the version in it.
###
set (GeoTIFF_VERSION_MAJOR 2)
set (GeoTIFF_VERSION_MINOR 1)
set (GeoTIFF_VERSION_RELEASE 0)
set (GeoTIFF_VERSION ${GeoTIFF_VERSION_MAJOR}.${GeoTIFF_VERSION_MINOR}.${GeoTIFF_VERSION_RELEASE})

### 
# Currently commented out.  Could add build data and svn revision in here:
# configure_file ( "${PROJECT_SOURCE_DIR}/geotiff_version.h.in"
#                 "${PROJECT_BINARY_DIR}/geotiff_version.h" )
###


# General build settings

IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE Debug CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel"
        FORCE)
ENDIF()

SET(GEOTIFF_BUILD_PEDANTIC FALSE CACHE BOOL "Choose compilation in pedantic or relaxed mode")
IF(CMAKE_BUILD_TYPE MATCHES Debug)
    SET(GEOTIFF_BUILD_PEDANTIC TRUE)
ENDIF()

# TODO: Still testing the output paths --mloskot
SET(GEOTIFF_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build RUNTIME target files.
# SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)

# Output directory in which to build LIBRARY target files
# SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

# Output directory in which to build ARCHIVE target files.
# SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY}) 
SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)

###############################################################################
# Platform and compiler specific settings

IF(WIN32)
    IF(MSVC) 
        ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
        ADD_DEFINITIONS(/DW4)

        IF(MSVC80)
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
            ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNING)
            ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
        ENDIF()
    ENDIF(MSVC)
ENDIF()

IF(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
    SET(COMPILE_FLAGS "-fPIC -Wall -Wno-long-long")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${COMPILE_FLAGS} -std=c99")
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COMPILE_FLAGS} -std=c++98")
    IF(GEOTIFF_BUILD_PEDANTIC)
        SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pedantic")
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pedantic")
    ENDIF()
ENDIF()

# Check required standard headers
INCLUDE(CheckIncludeFiles)
CHECK_INCLUDE_FILES(stdio.h HAVE_STDIO_H)
CHECK_INCLUDE_FILES(stdlib.h HAVE_STDLIB_H)
CHECK_INCLUDE_FILES(string.h HAVE_STRING_H)

###############################################################################
# User-defined build settings

SET(GEOTIFF_CSV_NAMES area.csv codes.csv datum.csv gcs.csv pcs.csv)
FIND_PATH(GEOTIFF_CSV_DATA_DIR NAMES ${GEOTIFF_CSV_NAMES}
    PATHS "${CMAKE_SOURCE_DIR}/csv"
    DOC "Default location of GeoTIFF CSV files"
    NO_DEFAULT_PATH)

IF(IS_DIRECTORY ${GEOTIFF_CSV_DATA_DIR} AND EXISTS "${GEOTIFF_CSV_DATA_DIR}/gcs.csv")
    MESSAGE(STATUS "Found GeoTIFF CSV files in: ${GEOTIFF_CSV_DATA_DIR}")
    ADD_DEFINITIONS(-DCSV_DATA_DIR="${GEOTIFF_CSV_DATA_DIR}")
ELSE()
    MESSAGE(FATAL_ERROR "Failed to find GeoTIFF CSV files in: ${GEOTIFF_CSV_DATA_DIR}")
ENDIF()

# Has the user requested "incode" EPSG tables, overriding the default
# use of EPSG tables in csv files?
SET(GEOTIFF_ENABLE_INCODE_EPSG FALSE CACHE BOOL
    "Choose if C code EPSG tables should be used")
MESSAGE(STATUS "Enable in-code GeoTIFF EPSG tables: ${GEOTIFF_ENABLE_INCODE_EPSG}")

SET(WITH_UTILITIES TRUE CACHE BOOL "Choose if GeoTIFF utilities should be built")

###############################################################################
# Search for dependencies

INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${PROJECT_SOURCE_DIR}/libxtiff)

# TIFF support - required, default=ON
SET(WITH_TIFF TRUE CACHE BOOL "Choose if TIFF support should be built")

IF(WITH_TIFF)
    FIND_PACKAGE(TIFF REQUIRED)

    IF(TIFF_FOUND)
        # Confirm required API is available
        INCLUDE(CheckFunctionExists) 
        SET(CMAKE_REQUIRED_LIBRARIES ${TIFF_LIBRARIES})

        CHECK_FUNCTION_EXISTS(TIFFOpen HAVE_TIFFOPEN)
        IF(NOT HAVE_TIFFOPEN)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFOpen function not found")
        ENDIF()

        CHECK_FUNCTION_EXISTS(TIFFMergeFieldInfo HAVE_TIFFMERGEFIELDINFO)
        IF(NOT HAVE_TIFFMERGEFIELDINFO)
            SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
            MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFMergeFieldInfo function not found. libtiff 3.6.0 Beta or later required. Please upgrade or use an older version of libgeotiff")
        ENDIF()
        
        INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_TIFF=1)
    ENDIF(TIFF_FOUND)
ENDIF(WITH_TIFF)

# PROJ.4 support - optional, default=ON
SET(WITH_PROJ4 TRUE CACHE BOOL "Choose if PROJ.4 support should be built")

IF(WITH_PROJ4)
    FIND_PACKAGE(PROJ4)

    IF(PROJ4_FOUND)
        ADD_DEFINITIONS(-DHAVE_LIBPROJ=1)
        INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR})

        IF(EXISTS "${PROJ4_INCLUDE_DIR}/projects.h")
            MESSAGE(STATUS "Looking for projects.h header from PROJ.4 library - found")
            ADD_DEFINITIONS(-DHAVE_PROJECTS_H=1)
            INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR_2})
        ELSE()
            MESSAGE(FATAL_ERROR "Looking for projects.h from PROJ.4 library - not found")
        ENDIF()
    ENDIF()
ENDIF()

# Zlib support - optional, default=OFF
SET(WITH_ZLIB FALSE CACHE BOOL "Choose if zlib support should be built")

IF(WITH_ZLIB)
    FIND_PACKAGE(ZLIB)

    IF(ZLIB_FOUND)
        SET(HAVE_ZIP 1)
        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_ZIP=${HAVE_ZIP})
    ENDIF()
ENDIF()

# JPEG support - optional, default=OFF
SET(WITH_JPEG FALSE CACHE BOOL "Choose if JPEG support should be built")

IF(WITH_JPEG)
    FIND_PACKAGE(JPEG)

    IF(JPEG_FOUND)
        SET(HAVE_JPEG 1)
        INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
        ADD_DEFINITIONS(-DHAVE_JPEG=${HAVE_JPEG})
    ENDIF()
ENDIF()

###############################################################################
# Generate geo_config.h with compile-time configuration

MESSAGE(STATUS "Generating geo_config.h header")

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/geo_config.h.in
    ${CMAKE_CURRENT_SOURCE_DIR}/geo_config.h)

MESSAGE(STATUS "Generating geo_config.h header - done")


###############################################################################
# Installation settings

SET(GEOTIFF_CSV_DATA
    csv/alias.csv 
    csv/area.csv 
    csv/change.csv 
    csv/compdcs.csv 
    csv/coordinate_axis.csv 
    csv/coordinate_axis_name.csv 
    csv/coordinate_operation.csv 
    csv/coordinate_operation_method.csv 
    csv/coordinate_operation_parameter.csv 
    csv/coordinate_operation_parameter_value.csv 
    csv/coordinate_operation_path.csv 
    csv/coordinate_reference_system.csv 
    csv/coordinate_system.csv 
    csv/datum.csv 
    csv/datum_shift.csv 
    csv/datum_shift_pref.csv 
    csv/deprecation.csv 
    csv/ellipsoid.csv 
    csv/esri_datum_override.csv 
    csv/gcs.csv 
    csv/gcs.override.csv 
    csv/geoccs.csv 
    csv/naming_system.csv 
    csv/pcs.csv 
    csv/pcs.override.csv 
    csv/prime_meridian.csv 
    csv/projop_wparm.csv 
    csv/stateplane.csv 
    csv/supersession.csv 
    csv/unit_of_measure.csv 
    csv/version_history.csv 
    csv/vertcs.csv 
    csv/vertcs.override.csv )

SET(GEOTIFF_LIB_HEADERS
    geotiff.h
    geotiffio.h
    geovalues.h
    geonames.h
    geokeys.h
    geo_config.h
    geo_tiffp.h
    geo_keyp.h
    geo_normalize.h
    cpl_serv.h
    geo_simpletags.h
    epsg_datum.inc
    epsg_gcs.inc
    epsg_pm.inc
    epsg_units.inc
    geo_ctrans.inc
    epsg_ellipse.inc
    epsg_pcs.inc
    epsg_proj.inc
    epsg_vertcs.inc
    geokeys.inc
    libxtiff/xtiffio.h)

#    ${PROJECT_BINARY_DIR}/geotiff_version.h

IF(WIN32)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR .)
    SET(DEFAULT_INCLUDE_SUBDIR include)

    IF(MSVC)
        SET(DEFAULT_BIN_SUBDIR bin)
    ELSE()
        SET(DEFAULT_BIN_SUBDIR .)
    ENDIF()
ELSE()
    # Common locatoins for Unix and Mac OS X
    SET(DEFAULT_BIN_SUBDIR bin)
    SET(DEFAULT_LIB_SUBDIR lib)
    SET(DEFAULT_DATA_SUBDIR share)
    SET(DEFAULT_INCLUDE_SUBDIR include)
ENDIF()

# Locations are changeable by user to customize layout of GeoTIFF installation
# (default values are platform-specIFic)
SET(GEOTIFF_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
    "Subdirectory where executables will be installed")
SET(GEOTIFF_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
    "Subdirectory where libraries will be installed")
SET(GEOTIFF_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
    "Subdirectory where header files will be installed")
SET(GEOTIFF_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
    "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
MARK_AS_ADVANCED(GEOTIFF_BIN_SUBDIR GEOTIFF_LIB_SUBDIR GEOTIFF_INCLUDE_SUBDIR GEOTIFF_DATA_SUBDIR)

# Full paths for the installation
SET(GEOTIFF_BIN_DIR ${GEOTIFF_BIN_SUBDIR})
SET(GEOTIFF_LIB_DIR ${GEOTIFF_LIB_SUBDIR})
SET(GEOTIFF_INCLUDE_DIR ${GEOTIFF_INCLUDE_SUBDIR})
SET(GEOTIFF_DATA_DIR ${GEOTIFF_DATA_SUBDIR})

# Install doc files
INSTALL(FILES
    AUTHORS ChangeLog COPYING INSTALL LICENSE README README_BIN README.WIN
    DESTINATION doc)
#    DESTINATION ${GEOTIFF_DATA_DIR}/doc)

# Install CSV data files
# INSTALL(FILES ${GEOTIFF_CSV_DATA} DESTINATION ${GEOTIFF_DATA_DIR}/epsg_csv)
INSTALL(FILES ${GEOTIFF_CSV_DATA} DESTINATION share/epsg_csv)

# Install header files for development distribution
# INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION ${GEOTIFF_INCLUDE_DIR})
INSTALL(FILES ${GEOTIFF_LIB_HEADERS} DESTINATION include)

###############################################################################
# Build libxtiff library

ADD_SUBDIRECTORY(libxtiff)

###############################################################################
# Build libgeotiff library

SET(GEOTIFF_LIB_SOURCES
    cpl_serv.c
    cpl_csv.c
    geo_extra.c
    geo_free.c
    geo_get.c
    geo_names.c
    geo_new.c
    geo_normalize.c
    geo_print.c
    geo_set.c
    geo_simpletags.c
    geo_tiffp.c
    geo_trans.c
    geo_write.c
    geotiff_proj4.c)

IF (GEOTIFF_ENABLE_INCODE_EPSG)
    SET(GEOTIFF_LIB_CSV_SOURCES
        csv/datum.c
        csv/ellipsoid.c
        csv/gcs.c
        csv/pcs.c
        csv/prime_meridian.c
        csv/projop_wparm.c
        csv/unit_of_measure.c)
    SOURCE_GROUP("CSV Source Files" FILES ${GEOTIFF_LIB_CSV_SOURCES})
ENDIF(GEOTIFF_ENABLE_INCODE_EPSG)

SET(XTIFF_SOURCES libxtiff/xtiff.c)

#---
# Static libgeotiff archive 
# NOTE: Did not put XTIFF_SOURCES in static lib because libxtiff.a is written out 
#       currently.
#---
ADD_LIBRARY(${GEOTIFF_ARCHIVE_TARGET} STATIC

=== bin/CMakeLists.txt ===
###############################################################################
#
# CMake configuration file to build GeoTIFF utility programs
#
# Author: Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################

INCLUDE_DIRECTORIES(
    .
    ${CMAKE_SOURCE_DIR})

IF(WIN32 AND MSVC)
    SET(GETOPT_SOURCE getopt.c)
ENDIF()
###############################################################################
# Collect programs to build

SET(GEOTIFF_UTILITIES makegeo listgeo applygeo)

MESSAGE(STATUS "Adding GeoTIFF utilities to build")

FOREACH(utility ${GEOTIFF_UTILITIES})
    ADD_EXECUTABLE(${utility} ${utility}.c ${GETOPT_SOURCE})
    TARGET_LINK_LIBRARIES(${utility} xtiff ${GEOTIFF_LIBRARY_TARGET})
ENDFOREACH()

ADD_EXECUTABLE(geotifcp geotifcp.c ${GETOPT_SOURCE})
TARGET_LINK_LIBRARIES(geotifcp
    xtiff
    ${GEOTIFF_LIBRARY_TARGET}
    ${JPEG_LIBRARIES}
    ${ZLIB_LIBRARIES})

SET(GEOTIFF_UTILITIES ${GEOTIFF_UTILITIES} geotifcp )

MESSAGE(STATUS "Adding GeoTIFF utilities to build - done: ${GEOTIFF_UTILITIES}")

###############################################################################
# Targets installation

INSTALL(TARGETS ${GEOTIFF_UTILITIES}
    RUNTIME DESTINATION ${GEOTIFF_BIN_DIR}
    LIBRARY DESTINATION ${GEOTIFF_LIB_DIR}
    ARCHIVE DESTINATION ${GEOTIFF_LIB_DIR})

## libgeotiff-dfsg 1.3.0+dfsg

=== debian/changelog ===
libgeotiff-dfsg (1.3.0+dfsg-1) unstable; urgency=low

  * Moved to git repository on alioth.
  * Updated Vcs-* fields as required.
  * Moved to source format 3.0 and quilt.
  * Debhelper level set to 8.
  * Changed upstream version to reflect minor changes in upstream
    tarball which resulted in a bit trashed tree.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 08 Nov 2011 14:49:37 +0100

libgeotiff-dfsg (1.3.0-1) unstable; urgency=low

  [ Alan Boudreault ]
  * New upstream release.
  * Updated some debian/* file for the new libgeotiff 1.3.
  * Updated the project homepage in debian/control.
  * Modified the package names with the proper major version in debian/control.
  * Added Alan as Uploader in debian/control.

  [ Francesco Paolo Lovergine ]
  * Now following the new SONAME for libgeotiff as adopted upstream: package
    name changed as consequence
  * Updated to use libjpeg-dev as build-dep.
    (closes: #634140)
  * Now original autoconf helpers file are restored at cleaning time, to
    be nice against SCMs.
  * Added Vcs-* fields in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Sep 2011 13:59:19 +0200

libgeotiff-dfsg (1.2.5-3) unstable; urgency=low

  * Added libtiff4-dev dependency for the -dev package due to required header
    files.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 03 Jun 2009 23:43:17 +0200

libgeotiff-dfsg (1.2.5-2) unstable; urgency=low

  * Changed build-dep: proj -> libproj-dev.
  * Added listgeo.1 manpage, taken from trac. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Apr 2009 12:58:00 +0200

libgeotiff-dfsg (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Policy bumped to 3.8.1.
  * Debhelper compatibility set to 7.
  * Minor cleanups in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 25 Mar 2009 13:44:01 +0100

libgeotiff-dfsg (1.2.4-4) unstable; urgency=high

  * Fixed soname patch and removed overriding of LD_SHARED in debian/rules
    (closes: #495349)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 03 Feb 2009 01:08:27 +0100

libgeotiff-dfsg (1.2.4-3) unstable; urgency=low

  * [Lintian] debian-rules-ignores-make-clean-error cleaned in debian/rules.
  * [Lintian] extended-description-line-too-long cleaned in debian/control.
  * [Lintian] substvar-source-version-is-deprecated cleaned in debian/control.
  * Introduced homepage field in debian/control.
  * Added installation path for libraries searching at dh_shlibdeps call.
  * Added LD_SHARED ovverride at building time in debian/rules to link against libc
    runtime also.
  * Policy bumped to 3.7.3.
  * Removing config.log at clean time for completeness.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 19 Dec 2007 13:25:57 +0100

libgeotiff-dfsg (1.2.4-2) unstable; urgency=high

  * Missing *.inc files added to /usr/include/geotiff.
    (closes: #447234)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Nov 2007 17:53:29 +0100

libgeotiff-dfsg (1.2.4-1) unstable; urgency=low

  * Initial release (closes: #418184)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed,  4 Apr 2007 20:45:27 +0200

=== debian/control ===
Source: libgeotiff-dfsg
Priority: extra
Section: science
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
Build-Depends: debhelper (>= 8), autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff4-dev
Standards-Version: 3.9.2
Homepage: http://geotiff.osgeo.org/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/libgeotiff-dfsg.git
Vcs-Git: git://git.debian.org/git/pkg-grass/libgeotiff-dfsg.git


Package: libgeotiff-dev
Section: libdevel
Architecture: any
Depends: libgeotiff2 (= ${binary:Version}), libtiff4-dev
Suggests: libgeotiff-epsg
Description: the GeoTIFF library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based 
 on the GeoTIFF library.

Package: libgeotiff2
Section: libs
Architecture: any
Suggests: geotiff-bin, gdal-bin, libgeotiff-epsg
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the GeoTIFF library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: geotiff-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gdal-bin, libgeotiff-epsg
Description: the GeoTIFF library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure 
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	mv config.sub config.sub.original
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	mv config.guess config.guess.original
	cp -f /usr/share/misc/config.guess config.guess
endif
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		    --includedir=\$${prefix}/include/geotiff

build: build-stamp
build-stamp:  config.status

	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) 

	touch $@

clean: 
	dh_testdir
	dh_testroot

ifneq "$(wildcard /usr/share/misc/config.sub.original)" ""
	mv config.sub.original config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess.original)" ""
	mv config.guess.original config.guess
endif
	
	# Add here commands to clean up after the build process.
	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
	
	rm -f config.status config.log
	rm -f libgeotiff.* xtiffio.h newgeo.tif
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) prefix=$(CURDIR)/debian/tmp/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman $(CURDIR)/debian/listgeo.1
	dh_installexamples
	dh_install --list-missing --autodest
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps -l$(CURDIR)/debian/tmp/usr/lib
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install clean

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
ftp://ftp.remotesensing.org/pub/geotiff/libgeotiff/libgeotiff-([\d\.]+)\.tar\.gz debian uupdate

## libgeotiff-dfsg 1.4.0

=== debian/changelog ===
libgeotiff-dfsg (1.4.0-1ubuntu2) trusty; urgency=medium

  * Patch aclocal.m4 and configure for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 20:07:48 +0100

libgeotiff-dfsg (1.4.0-1ubuntu1) trusty; urgency=medium

  * Use libtiff5-dev, instead of libtiff4-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 01:52:31 +0000

libgeotiff-dfsg (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Policy bumped to 3.9.5.
  * Debhelper level set to 9.
  * Updated watch file to reflect current repo.
  * Set canonical Vcs-* fiedls.
  * Added misc-depends to -dev package.
  * Now using dh_ methods to update/restore autotools config.* stuff.
  * Introduced missing recommended build-* targets in debian/rules.
  * html docs dir is not more distributed in the original tarball,
    reintroduced as a debian patch (docs).
  * Annotated all patches.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 16 Dec 2013 16:20:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: libgeotiff-dfsg
 Priority: extra
 Section: science
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, Alan Boudreault <aboudreault@mapgears.com>
-Build-Depends: debhelper (>= 8), autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff4-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper, autotools-dev, libproj-dev, zlib1g-dev, libjpeg-dev, libtiff5-dev
+Standards-Version: 3.9.5
 Homepage: http://geotiff.osgeo.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-grass/libgeotiff-dfsg.git
-Vcs-Git: git://git.debian.org/git/pkg-grass/libgeotiff-dfsg.git
+Vcs-Browser:  http://anonscm.debian.org/gitweb/?p=pkg-grass/libgeotiff-dfsg.git
+Vcs-Git: git://anonscm.debian.org/pkg-grass/libgeotiff-dfsg.git
 
 
 Package: libgeotiff-dev
 Section: libdevel
 Architecture: any
-Depends: libgeotiff2 (= ${binary:Version}), libtiff4-dev
+Depends: libgeotiff2 (= ${binary:Version}), libtiff5-dev, ${misc:Depends}
 Suggests: libgeotiff-epsg
 Description: the GeoTIFF library -- development files
  This C library supports TIFF 6.0 based interchange format for georeferenced

=== debian/rules ===
--- 
+++ 
@@ -20,20 +20,16 @@
 
 config.status: configure 
 	dh_testdir
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	mv config.sub config.sub.original
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	mv config.guess config.guess.original
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autotools-dev_updateconfig
 	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
 		    --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
 		    --includedir=\$${prefix}/include/geotiff
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+
 build-stamp:  config.status
 
 	dh_testdir
@@ -46,13 +42,7 @@
 clean: 
 	dh_testdir
 	dh_testroot
-
-ifneq "$(wildcard /usr/share/misc/config.sub.original)" ""
-	mv config.sub.original config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess.original)" ""
-	mv config.guess.original config.guess
-endif
+	dh_autotools-dev_restoreconfig
 	
 	# Add here commands to clean up after the build process.
 	[ ! -f $(CURDIR)/Makefile ] || $(MAKE) distclean
@@ -73,11 +63,11 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+binary-indep: build-indep install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build-arch install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs ChangeLog

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://download.osgeo.org/geotiff/libgeotiff/libgeotiff-([\d\.]+)\.tar\.gz debian uupdate

## libgeotiff-dfsg 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,24 @@
 
 SET(CMAKE_COLOR_MAKEFILE ON)
 
+# Version information
+set(PROJECT_VERSION_MAJOR 1)
+set(PROJECT_VERSION_MINOR 4)
+set(PROJECT_VERSION_PATCH 1)
+set(PROJECT_VERSION
+  "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
+set(GeoTIFF_VERSION ${PROJECT_VERSION})
+
+# Set library version to match that of autoconf:
+# libgeotiff.so -> libgeotiff.so.2.1.1
+# libgeotiff.so.2 -> libgeotiff.so.2.1.1
+# libgeotiff.so.2.1.1
+set(LINK_SOVERSION "2")
+set(LINK_VERSION "2.1.1")
+
+string (TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
+string (TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
+
 # Allow advanced users to generate Makefiles printing detailed commands
 MARK_AS_ADVANCED(CMAKE_VERBOSE_MAKEFILE)
 
@@ -24,22 +42,6 @@
 SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
 
 ###############################################################################
-
-###
-# Set up the version and configure a header file with the version in it.
-###
-set (GeoTIFF_VERSION_MAJOR 2)
-set (GeoTIFF_VERSION_MINOR 1)
-set (GeoTIFF_VERSION_RELEASE 0)
-set (GeoTIFF_VERSION ${GeoTIFF_VERSION_MAJOR}.${GeoTIFF_VERSION_MINOR}.${GeoTIFF_VERSION_RELEASE})
-
-### 
-# Currently commented out.  Could add build data and svn revision in here:
-# configure_file ( "${PROJECT_SOURCE_DIR}/geotiff_version.h.in"
-#                 "${PROJECT_BINARY_DIR}/geotiff_version.h" )
-###
-
-
 # General build settings
 
 IF(NOT CMAKE_BUILD_TYPE)
@@ -53,6 +55,12 @@
     SET(GEOTIFF_BUILD_PEDANTIC TRUE)
 ENDIF()
 
+if (CMAKE_MAJOR_VERSION GREATER 2)
+cmake_policy(SET CMP0022 OLD) # interface link libraries
+cmake_policy(SET CMP0042 OLD) # osx rpath
+endif()
+
+
 # TODO: Still testing the output paths --mloskot
 SET(GEOTIFF_BUILD_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/bin)
 
@@ -65,22 +73,22 @@
 SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
 
 # Output directory in which to build ARCHIVE target files.
-# SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY}) 
+# SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${GEOTIFF_BUILD_OUTPUT_DIRECTORY})
 SET(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/lib)
 
 ###############################################################################
 # Platform and compiler specific settings
 
 IF(WIN32)
-    IF(MSVC) 
+    IF(MSVC)
         ADD_DEFINITIONS(-DBUILD_AS_DLL=1)
         ADD_DEFINITIONS(/DW4)
-
-        IF(MSVC80)
+        if (NOT (MSVC_VERSION VERSION_LESS 1400))
+            ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
             ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
             ADD_DEFINITIONS(-D_CRT_NONSTDC_NO_WARNING)
-            ADD_DEFINITIONS(-D_CRT_SECURE_NO_DEPRECATE)
-        ENDIF()
+            ADD_DEFINITIONS(-D_SCL_SECURE_NO_WARNINGS)
+        endif()
     ENDIF(MSVC)
 ENDIF()
 
@@ -116,12 +124,6 @@
     MESSAGE(FATAL_ERROR "Failed to find GeoTIFF CSV files in: ${GEOTIFF_CSV_DATA_DIR}")
 ENDIF()
 
-# Has the user requested "incode" EPSG tables, overriding the default
-# use of EPSG tables in csv files?
-SET(GEOTIFF_ENABLE_INCODE_EPSG FALSE CACHE BOOL
-    "Choose if C code EPSG tables should be used")
-MESSAGE(STATUS "Enable in-code GeoTIFF EPSG tables: ${GEOTIFF_ENABLE_INCODE_EPSG}")
-
 SET(WITH_UTILITIES TRUE CACHE BOOL "Choose if GeoTIFF utilities should be built")
 
 ###############################################################################
@@ -133,12 +135,62 @@
 # TIFF support - required, default=ON
 SET(WITH_TIFF TRUE CACHE BOOL "Choose if TIFF support should be built")
 
+# PROJ.4 support - optional, default=ON
+SET(WITH_PROJ4 TRUE CACHE BOOL "Choose if PROJ.4 support should be built")
+
+IF(WITH_PROJ4)
+    FIND_PACKAGE(PROJ4 NO_MODULE QUIET)
+    if (NOT PROJ4_FOUND)
+      FIND_PACKAGE(PROJ4)
+    endif ()
+
+    IF(PROJ4_FOUND)
+        ADD_DEFINITIONS(-DHAVE_LIBPROJ=1)
+        INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR})
+    ENDIF()
+ENDIF()
+
+# Zlib support - optional, default=OFF
+SET(WITH_ZLIB FALSE CACHE BOOL "Choose if zlib support should be built")
+
+IF(WITH_ZLIB)
+    FIND_PACKAGE(ZLIB NO_MODULE QUIET)
+    if (NOT ZLIB_FOUND)
+      FIND_PACKAGE(ZLIB)
+    endif ()
+
+    IF(ZLIB_FOUND)
+        SET(HAVE_ZIP 1)
+        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
+        ADD_DEFINITIONS(-DHAVE_ZIP=${HAVE_ZIP})
+    ENDIF()
+ENDIF()
+
+# JPEG support - optional, default=OFF
+SET(WITH_JPEG FALSE CACHE BOOL "Choose if JPEG support should be built")
+
+IF(WITH_JPEG)
+    FIND_PACKAGE(JPEG NO_MODULE QUIET)
+    if (NOT JPEG_FOUND)
+      FIND_PACKAGE(JPEG)
+    endif ()
+
+    IF(JPEG_FOUND)
+        SET(HAVE_JPEG 1)
+        INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
+        ADD_DEFINITIONS(-DHAVE_JPEG=${HAVE_JPEG})
+    ENDIF()
+ENDIF()
+
 IF(WITH_TIFF)
-    FIND_PACKAGE(TIFF REQUIRED)
+    FIND_PACKAGE(TIFF NO_MODULE QUIET)
+    if (NOT TIFF_FOUND)
+      FIND_PACKAGE(TIFF REQUIRED)
+    endif ()
 
     IF(TIFF_FOUND)
         # Confirm required API is available
-        INCLUDE(CheckFunctionExists) 
+        INCLUDE(CheckFunctionExists)
         SET(CMAKE_REQUIRED_LIBRARIES ${TIFF_LIBRARIES})
 
         CHECK_FUNCTION_EXISTS(TIFFOpen HAVE_TIFFOPEN)
@@ -152,65 +204,26 @@
             SET(TIFF_FOUND) # ReSET to NOT found for TIFF library
             MESSAGE(FATAL_ERROR "Failed to link with libtiff - TIFFMergeFieldInfo function not found. libtiff 3.6.0 Beta or later required. Please upgrade or use an older version of libgeotiff")
         ENDIF()
-        
+
         INCLUDE_DIRECTORIES(${TIFF_INCLUDE_DIR})
         ADD_DEFINITIONS(-DHAVE_TIFF=1)
     ENDIF(TIFF_FOUND)
 ENDIF(WITH_TIFF)
 
-# PROJ.4 support - optional, default=ON
-SET(WITH_PROJ4 TRUE CACHE BOOL "Choose if PROJ.4 support should be built")
-
-IF(WITH_PROJ4)
-    FIND_PACKAGE(PROJ4)
-
-    IF(PROJ4_FOUND)
-        ADD_DEFINITIONS(-DHAVE_LIBPROJ=1)
-        INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR})
-
-        IF(EXISTS "${PROJ4_INCLUDE_DIR}/projects.h")
-            MESSAGE(STATUS "Looking for projects.h header from PROJ.4 library - found")
-            ADD_DEFINITIONS(-DHAVE_PROJECTS_H=1)
-            INCLUDE_DIRECTORIES(${PROJ4_INCLUDE_DIR_2})
-        ELSE()
-            MESSAGE(FATAL_ERROR "Looking for projects.h from PROJ.4 library - not found")
-        ENDIF()
-    ENDIF()
-ENDIF()
-
-# Zlib support - optional, default=OFF
-SET(WITH_ZLIB FALSE CACHE BOOL "Choose if zlib support should be built")
-
-IF(WITH_ZLIB)
-    FIND_PACKAGE(ZLIB)
-
-    IF(ZLIB_FOUND)
-        SET(HAVE_ZIP 1)
-        INCLUDE_DIRECTORIES(${ZLIB_INCLUDE_DIR})
-        ADD_DEFINITIONS(-DHAVE_ZIP=${HAVE_ZIP})
-    ENDIF()
-ENDIF()
-
-# JPEG support - optional, default=OFF
-SET(WITH_JPEG FALSE CACHE BOOL "Choose if JPEG support should be built")
-
-IF(WITH_JPEG)
-    FIND_PACKAGE(JPEG)
-
-    IF(JPEG_FOUND)
-        SET(HAVE_JPEG 1)
-        INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
-        ADD_DEFINITIONS(-DHAVE_JPEG=${HAVE_JPEG})
-    ENDIF()
-ENDIF()
+# Turn off TOWGS84 support
+SET(WITH_TOWGS84 TRUE CACHE BOOL "Build with TOWGS84 support")
+IF (NOT WITH_TOWGS84)
+   SET(GEO_NORMALIZE_DISABLE_TOWGS84 1)
+endif()
 
 ###############################################################################
 # Generate geo_config.h with compile-time configuration
 
 MESSAGE(STATUS "Generating geo_config.h header")
 
-CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/cmake/geo_config.h.in
-    ${CMAKE_CURRENT_SOURCE_DIR}/geo_config.h)
+CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/cmake/geo_config.h.in
+  geo_config.h)
+INCLUDE_DIRECTORIES(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
 
 MESSAGE(STATUS "Generating geo_config.h header - done")
 
@@ -219,38 +232,38 @@
 # Installation settings
 
 SET(GEOTIFF_CSV_DATA
-    csv/alias.csv 
-    csv/area.csv 
-    csv/change.csv 
-    csv/compdcs.csv 
-    csv/coordinate_axis.csv 
-    csv/coordinate_axis_name.csv 
-    csv/coordinate_operation.csv 
-    csv/coordinate_operation_method.csv 
-    csv/coordinate_operation_parameter.csv 
-    csv/coordinate_operation_parameter_value.csv 
-    csv/coordinate_operation_path.csv 
-    csv/coordinate_reference_system.csv 
-    csv/coordinate_system.csv 
-    csv/datum.csv 
-    csv/datum_shift.csv 
-    csv/datum_shift_pref.csv 
-    csv/deprecation.csv 
-    csv/ellipsoid.csv 
-    csv/esri_datum_override.csv 
-    csv/gcs.csv 
-    csv/gcs.override.csv 
-    csv/geoccs.csv 
-    csv/naming_system.csv 
-    csv/pcs.csv 
-    csv/pcs.override.csv 
-    csv/prime_meridian.csv 
-    csv/projop_wparm.csv 
-    csv/stateplane.csv 
-    csv/supersession.csv 
-    csv/unit_of_measure.csv 
-    csv/version_history.csv 
-    csv/vertcs.csv 
+    csv/alias.csv
+    csv/area.csv
+    csv/change.csv
+    csv/compdcs.csv
+    csv/coordinate_axis.csv
+    csv/coordinate_axis_name.csv
+    csv/coordinate_operation.csv
+    csv/coordinate_operation_method.csv
+    csv/coordinate_operation_parameter.csv
+    csv/coordinate_operation_parameter_value.csv
+    csv/coordinate_operation_path.csv
+    csv/coordinate_reference_system.csv
+    csv/coordinate_system.csv
+    csv/datum.csv
+    csv/datum_shift.csv
+    csv/datum_shift_pref.csv
+    csv/deprecation.csv
+    csv/ellipsoid.csv
+    csv/esri_datum_override.csv
+    csv/gcs.csv
+    csv/gcs.override.csv
+    csv/geoccs.csv
+    csv/naming_system.csv
+    csv/pcs.csv
+    csv/pcs.override.csv
+    csv/prime_meridian.csv
+    csv/projop_wparm.csv
+    csv/stateplane.csv
+    csv/supersession.csv
+    csv/unit_of_measure.csv
+    csv/version_history.csv
+    csv/vertcs.csv
     csv/vertcs.override.csv )
 
 SET(GEOTIFF_LIB_HEADERS
@@ -259,7 +272,7 @@
     geovalues.h
     geonames.h
     geokeys.h
-    geo_config.h
+    ${CMAKE_CURRENT_BINARY_DIR}/geo_config.h
     geo_tiffp.h
     geo_keyp.h
     geo_normalize.h
@@ -356,23 +369,10 @@
     geo_write.c
     geotiff_proj4.c)
 
-IF (GEOTIFF_ENABLE_INCODE_EPSG)
-    SET(GEOTIFF_LIB_CSV_SOURCES
-        csv/datum.c
-        csv/ellipsoid.c
-        csv/gcs.c
-        csv/pcs.c
-        csv/prime_meridian.c
-        csv/projop_wparm.c
-        csv/unit_of_measure.c)
-    SOURCE_GROUP("CSV Source Files" FILES ${GEOTIFF_LIB_CSV_SOURCES})
-ENDIF(GEOTIFF_ENABLE_INCODE_EPSG)
-
-SET(XTIFF_SOURCES libxtiff/xtiff.c)
-
-#---
-# Static libgeotiff archive 
-# NOTE: Did not put XTIFF_SOURCES in static lib because libxtiff.a is written out 
-#       currently.
-#---
-ADD_LIBRARY(${GEOTIFF_ARCHIVE_TARGET} STATIC
+SET(INCODE_EPSG_FROM_CSV FALSE CACHE BOOL "Build source-encoded EPSG data files")
+
+FOREACH(epsg_csv_file ${GEOTIFF_CSV_DATA})
+    # We cannot use NAME_WE without string-replace, because that would
+    # give "gcs.csv" and "gcs.override.csv" the same epsg_csv_name
+    GET_FILENAME_COMPONENT(epsg_csv_name "${epsg_csv_file}" NAME)
+    STRING(REPLACE ".csv" "" epsg_csv_basename "${epsg_csv_name}")

=== debian/changelog ===
libgeotiff-dfsg (1.4.1-1build1) wily; urgency=medium

  * No change rebuild for libproj9

 -- Micah Gersten <micahg@ubuntu.com>  Fri, 29 May 2015 10:29:41 -0500

libgeotiff-dfsg (1.4.1-1) unstable; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Use standalone license specification for FSF licenses
    - Align copyright holders
    - Drop .0 from GPL license shortname
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 18:49:20 +0200

libgeotiff-dfsg (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use uscan and Files-Excluded in copyright file to remove non-free
    csv files, repack upstream tarball using xz compression.
  * Update Makefile.in patch to also drop installation of removed csv
    files in Makefile.am.
  * Update symbols for 1.4.1.
  * Add debug package for libgeotiff2.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 15 Nov 2014 15:22:25 +0100

libgeotiff-dfsg (1.4.0-5) unstable; urgency=medium

  * Add Breaks/Replaces libgeotiff-dev on geotiff-bin, listgeo.1 man page
    was incorrectly included in libgeotiff-dev, it was added to geotiff-bin
    in 1.4.0-3 and removed from libgeotiff-dev in 1.4.0-4.
    (closes: #768141)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 05 Nov 2014 12:59:54 +0100

libgeotiff-dfsg (1.4.0-4) unstable; urgency=medium

  * Add myself to Uploaders.
  * Add gbp.conf to use pristine-tar by default.
  * Remove duplicate section field in package geotiff-bin.
  * Only install listgeo man page in package geotiff-bin.
  * Remove unused debian/listgeo.1.
  * Update copyright file using copyright-format 1.0.
  * Add symbols file for libgeotiff.
  * Change priority from extra to optional.
  * Use minimal dh rules.
  * Update control and install files for Multi-Arch.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 24 Oct 2014 16:57:23 +0200

libgeotiff-dfsg (1.4.0-3) unstable; urgency=medium

  * Team Upload
  * Enable hardening
  * Update debian/control
  * Update short descriptions
  * Install manfile for listgeo.1
  * Fix macro error in manfile
  * Update debhelper dep to 9

 -- Johan Van de Wauw <johan.vandewauw@gmail.com>  Wed, 22 Oct 2014 08:39:54 +0200

libgeotiff-dfsg (1.4.0-2) unstable; urgency=medium

  * Moved b-d to libtiff-dev.
    (closes: #736023)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 05 Mar 2014 10:05:37 +0100

=== debian/control ===
Source: libgeotiff-dfsg
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               libproj-dev,
               zlib1g-dev,
               libjpeg-dev,
               libtiff-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libgeotiff-dfsg.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/libgeotiff-dfsg.git
Homepage: http://geotiff.osgeo.org/

Package: libgeotiff-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgeotiff2 (= ${binary:Version}),
         libtiff-dev,
         ${misc:Depends}
Suggests: libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- development files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains stuff to be used to develop programs based 
 on the GeoTIFF library.

Package: libgeotiff2
Multi-Arch: same
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: geotiff-bin,
          gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- run-time files
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains the shared library only.

Package: libgeotiff2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libgeotiff2 (= ${binary:Version}),
         ${misc:Depends}
Description: GeoTIFF (geografic enabled TIFF) library -- debugging symbols
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 This package contains debugging symbols for the libraries.

Package: geotiff-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libgeotiff-dev (<< 1.4.0-4)
Replaces: libgeotiff-dev (<< 1.4.0-4)
Suggests: gdal-bin,
          libgeotiff-epsg
Description: GeoTIFF (geografic enabled TIFF) library -- tools
 This C library supports TIFF 6.0 based interchange format for georeferenced 
 raster imagery. The GeoTIFF standard has been developed for reading, and 
 writing geographic meta-information tags on top of TIFF raster.
 .
 The GeoTIFF library comes with two utility programs here included:
 .
  listgeo - dumps the metadata of a GeoTIFF file.
  geotifcp - applies metadata to a TIFF file, making it a GeoTIFF file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

GEOTIFF_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p')

%:
	dh $@ --with autotools_dev --parallel

override_dh_clean:
	dh_clean libgeotiff.* xtiffio.h newgeo.tif

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_makeshlibs:
	# Forces failure ignoring to collect new symbols
	dh_makeshlibs -- -c0 -v$(GEOTIFF_VERSION)

override_dh_strip:
	dh_strip --dbg-package=libgeotiff2-dbg

get-orig-source:
	uscan --verbose --force-download --rename --repack --compression xz

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://download.osgeo.org/geotiff/libgeotiff/ \
libgeotiff-([\d\.]+)\.tar\.gz
